GDB 6.8 fatal warning when compiled with GCC trunk 4.4

Laurent GUERBY laurent@guerby.net
Sat Feb 28 14:18:00 GMT 2009


Hi,

FYI GDB 6.8 fails to build when compiled with GCC trunk (4.4 not
released yet) because of a new warning:

gcc -m64 -c -g -O2   -I. -I.././gdb -I.././gdb/config
-DLOCALEDIR="\"/opt/cfarm/gdb-6.8-64/share/locale\"" -DHAVE_CONFIG_H
-I.././gdb/../include/opcode -I.././gdb/../readline/.. -I../bfd
-I.././gdb/../bfd -I.././gdb/../include -I../libdecnumber
-I.././gdb/../libdecnumber   -DMI_OUT=1 -DTUI=1  -Wall
-Wdeclaration-after-statement -Wpointer-arith -Wformat-nonliteral
-Wno-pointer-sign -Wno-unused -Wno-switch -Wno-char-subscripts -Werror
eval.c
cc1: warnings being treated as errors
eval.c: In function 'evaluate_subexp_standard':
eval.c:1705: error: 'subscript_array' may be used uninitialized in this
function
make[2]: *** [eval.o] Error 1
make[2]: Leaving directory `/home/guerby/gdb-6.8/gdb'
make[1]: *** [all-gdb] Error 2
make[1]: Leaving directory `/home/guerby/gdb-6.8'
make: *** [all] Error 2

Laurent



More information about the Gdb mailing list